Search documentation of bb

# BB.Error.State.NotAllowed exception (bb v0.17.0)

Copy Markdown View Source

Operation not allowed in current state.

Raised when attempting an operation that is not permitted in the robot's current state machine state.

## Summary

### Types

t()

### Functions

exception(args)

Create an `Elixir.BB.Error.State.NotAllowed` without raising it.

## Types

# t()

    @type t() :: %BB.Error.State.NotAllowed{
      __exception__: true,
      allowed_states: [atom()],
      bread_crumbs: term(),
      class: term(),
      current_state: atom(),
      operation: atom() | nil,
      path: term(),
      splode: term(),
      stacktrace: term(),
      vars: term()
    }

## Functions

# exception(args)

    @spec exception(opts :: Keyword.t()) :: %BB.Error.State.NotAllowed{
      __exception__: true,
      allowed_states: term(),
      bread_crumbs: term(),
      class: term(),
      current_state: term(),
      operation: term(),
      path: term(),
      splode: term(),
      stacktrace: term(),
      vars: term()
    }

Create an `Elixir.BB.Error.State.NotAllowed` without raising it.

## Keys

- :operation
- :current_state
- :allowed_states